org.apache.hc.client5.http.async

## Interface AsyncExecChain.Scheduler

- Enclosing interface:
    AsyncExecChain

      public static interface AsyncExecChain.Scheduler

  Request execution scheduler
  Since:
    5.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `scheduleExecution(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer, AsyncExecChain.Scope scope, AsyncExecCallback asyncExecCallback, org.apache.hc.core5.util.TimeValue delay)` Schedules request re-execution immediately or after a delay.
    `default void` | `scheduleExecution(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer, AsyncExecChain.Scope scope, AsyncExecChain chain, AsyncExecCallback asyncExecCallback, org.apache.hc.core5.util.TimeValue delay)` Schedules request re-execution of the given execution chain immediately or after a delay.

- - ### Method Detail

    - #### scheduleExecution

          void scheduleExecution(org.apache.hc.core5.http.HttpRequest request,
                                 org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer,
                                 AsyncExecChain.Scope scope,
                                 AsyncExecCallback asyncExecCallback,
                                 org.apache.hc.core5.util.TimeValue delay)

      Schedules request re-execution immediately or after a delay.
      Parameters:
        `request` - the actual request.
        `entityProducer` - the request entity producer or `null` if the request does not enclose an entity.
        `scope` - the execution scope.
        `asyncExecCallback` - the execution callback.
        `delay` - re-execution delay. Can be `null` if the request is to be re-executed immediately.

    - #### scheduleExecution

          @Internal
          default void scheduleExecution(org.apache.hc.core5.http.HttpRequest request,
                                                   org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer,
                                                   AsyncExecChain.Scope scope,
                                                   AsyncExecChain chain,
                                                   AsyncExecCallback asyncExecCallback,
                                                   org.apache.hc.core5.util.TimeValue delay)

      Schedules request re-execution of the given execution chain immediately or after a delay.
      Parameters:
        `request` - the actual request.
        `entityProducer` - the request entity producer or `null` if the request does not enclose an entity.
        `scope` - the execution scope.
        `chain` - the execution chain.
        `asyncExecCallback` - the execution callback.
        `delay` - re-execution delay. Can be `null` if the request is to be re-executed immediately.
      Since:
        5.3

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.